Skip to content
Documentation

Get Cluster (OpenSearch)

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

opensearch

​

Get Cluster

​

Path Parameters

  • Integer numbers.

Responses

  • application/json
  • application/json
Request Example for get/cluster/opensearch/{cluster_id}
curl /cluster/opensearch/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 1,
  "organization_id": 1,
  "name": "string",
  "tier": "basic",
  "state": "creating",
  "created_at": "2026-10-16T06:47:20.484Z",
  "updated_at": "2026-10-16T06:47:20.484Z",
  "maintenance_window": {
    "day_of_week": "monday",
    "start_time": "string",
    "end_time": "string"
  },
  "version": "3.8.0",
  "data_node_count": 3,
  "ip_allowlist": [
    "0.0.0.0/0",
    "::/0"
  ],
  "dashboards_ip_allowlist": [
    "0.0.0.0/0",
    "::/0"
  ],
  "custom_hostname": "string",
  "dashboards_custom_hostname": "string",
  "url": "string",
  "opensearch_dashboards_url": "string",
  "auth_sources": [
    {
      "name": "string",
      "ca_cert": "string",
      "subject_key": "string",
      "roles_key": "string",
      "type": "oidc",
      "dashboards_login": false,
      "connect_url": "string",
      "client_id": "string",
      "audience": "string",
      "client_secret_set": false,
      "scope": "openid profile email",
      "logout_url": "string"
    }
  ],
  "repo_config": {
    "enable_iam_role": true,
    "aws_role_arn": "string",
    "enable_access_keys": false,
    "access_key_id": "string",
    "secret_access_key_set": false
  }
}